X
Tap here to go to the mobile version of the site.

Support Forum

Firefox won't update to it's latest version for me?

Posted

Hello, I've had firefox for awhile now and I was used to the updates, but for some reason Firefox has ceased updating for me and I am stuck on version 19, I have attempted uninstalling and reinstalling which is what was suggested when I looked through for an answer.

When I do uninstall and reinstall even though it tells me its updating to the 22nd version it reverts directly back to 19. I know it is not updating because one of the websites I visit tells me if my browser is not updated to its latest version and prevents me for getting certain tasks done, when I contacted an administrator they told me Firefox was still on its 19th version on my computer. I'm not exactly sure what the problem is, any ideas?

Hello, I've had firefox for awhile now and I was used to the updates, but for some reason Firefox has ceased updating for me and I am stuck on version 19, I have attempted uninstalling and reinstalling which is what was suggested when I looked through for an answer. When I do uninstall and reinstall even though it tells me its updating to the 22nd version it reverts directly back to 19. I know it is not updating because one of the websites I visit tells me if my browser is not updated to its latest version and prevents me for getting certain tasks done, when I contacted an administrator they told me Firefox was still on its 19th version on my computer. I'm not exactly sure what the problem is, any ideas?

Additional System Details

Installed Plug-ins

  • Shockwave Flash 11.7 r700
  • Google Update
  • 5.1.20125.0
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the QuickTime Web site.
  • iTunes Detector Plug-in
  • Pando Web Plugin
  • Adobe Shockwave for Director Netscape plug-in, version 11.6.6.636
  • NPRuntime Script Plug-in Library for Java(TM) Deploy
  • NPWLPG
  • Best Buy pc app Detector Plug-in
  • Adobe PDF Plug-In For Firefox and Netscape "9.4.0"
  • The plug-in allows you to open and edit files using Microsoft Office applications

Application

  • User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:11.0) Gecko/20100101 Firefox/11.0 BLNGBAR

More Information

Jafar Muhammed 10 solutions 72 answers

Certain Firefox problems can be solved by performing a Clean reinstall. This means you remove Firefox program files and then reinstall Firefox

Certain Firefox problems can be solved by performing a [https://support.mozilla.org/en-US/kb/forum-response-clean-reinstall Clean reinstall]. This means you remove Firefox program files and then reinstall Firefox
ideato
  • Top 25 Contributor
715 solutions 5224 answers

Hello moonlightvegas, your user agent that is corrupted by BLNGBAR and that identifies you as Firefox/11.0

see : https://support.mozilla.org/en-US/questions/920514


thank you

Hello moonlightvegas, your user agent that is corrupted by BLNGBAR and that identifies you as Firefox/'''11.0''' see : https://support.mozilla.org/en-US/questions/920514 thank you
the-edmeister
  • Top 10 Contributor
  • Moderator
3931 solutions 29638 answers
Please see this support article. <br /> https://support.mozilla.org/en-US/kb/websites-say-firefox-outdated-or-incompatible
suneesh 0 solutions 6 answers

download the latest version and install it.

download the latest version and install it.